[AJECT] NoticeWare IMAP Email Server 4.6.2 DoS vulnerability

From: João Antunes <jantunes@di.fc.ul.pt>
To: bugtraq@securityfocus.com,vuldb@securityfocus.com
Cc:
Subject: [AJECT] NoticeWare IMAP Email Server 4.6.2 DoS vulnerability
Date:


----------------------------------------
Synopsis
----------------------------------------
NoticeWare Email Server NG 4.6.2 is vulnerable to denial-of-service  
(DoS) attacks.
The IMAP server crashes after receiving several large LOGIN messages.
Product: NoticeWare Email Server NG
Version: 4.6.3 and probably the older versions
Vendor: NoticeWare Corporation (www.noticeware.com)
Type: Denial-of-service
Risk: service disruption
Remote: Yes
Discovered by: Joo Antunes (AJECT -- Attack Injection Tool) on 04/Jun/ 
2008
Exploit: Not Available
Solution: Not Available
Status: Developers were contacted and corrected the software in  
version 5.1


----------------------------------------
Vulnerability Description
----------------------------------------
The vulnerability can be triggered by sending over 40 LOGIN messages  
to the imap server:
A001 LOGIN Ax5000 AAAAA

Depending on the number of repeated messages (probably related to the  
server resources) this will crash the server. Successful exploitation  
results in a remote denial of service.





Copyright © 1995-2021 LinuxRocket.net. All rights reserved.